MyGUI::TextCommandInfo Struct Reference

`#include <MyGUI_TextChangeHistory.h>`

## Public Types

enum | CommandType { COMMAND_POSITION , COMMAND_INSERT , COMMAND_ERASE }

## Public Member Functions

| TextCommandInfo (const UString::utf32string &_text, size_t _start, CommandType _type)
| TextCommandInfo (size_t _undo, size_t _redo, size_t _length)

## Data Fields

UString::utf32string | text
CommandType | type
size_t | start
size_t | undo
size_t | redo
size_t | length

## Detailed Description

Definition at line 19 of file MyGUI_TextChangeHistory.h.

## Member Enumeration Documentation

## CommandType

enum MyGUI::TextCommandInfo::CommandType

Enumerator
COMMAND_POSITION |
COMMAND_INSERT |
COMMAND_ERASE |

Definition at line 21 of file MyGUI_TextChangeHistory.h.

## Constructor & Destructor Documentation

## TextCommandInfo() [1/2]

MyGUI::TextCommandInfo::TextCommandInfo | ( | const UString::utf32string & | _text,
|  | size_t | _start,
|  | CommandType | _type )

inline

Definition at line 29 of file MyGUI_TextChangeHistory.h.

## TextCommandInfo() [2/2]

MyGUI::TextCommandInfo::TextCommandInfo | ( | size_t | _undo,
|  | size_t | _redo,
|  | size_t | _length )

inline

Definition at line 40 of file MyGUI_TextChangeHistory.h.

## Field Documentation

## length

size_t MyGUI::TextCommandInfo::length

Definition at line 55 of file MyGUI_TextChangeHistory.h.

## redo

size_t MyGUI::TextCommandInfo::redo

Definition at line 55 of file MyGUI_TextChangeHistory.h.

## start

size_t MyGUI::TextCommandInfo::start

Definition at line 53 of file MyGUI_TextChangeHistory.h.

## text

UString::utf32string MyGUI::TextCommandInfo::text

Definition at line 50 of file MyGUI_TextChangeHistory.h.

## type

CommandType MyGUI::TextCommandInfo::type

Definition at line 51 of file MyGUI_TextChangeHistory.h.

## undo

size_t MyGUI::TextCommandInfo::undo

Definition at line 55 of file MyGUI_TextChangeHistory.h.

The documentation for this struct was generated from the following file:

- MyGUI_TextChangeHistory.h